onEvent("recipes", event => {
  cobbleGenRecipe = (cobblegen, a, b) => {
    event.remove({ output: cobblegen})
    event.shaped(cobblegen, [
      'AAA',
      'ABA',
      'AAA'
    ], {
      A: a,
      B: b
    })
  }

  cobbleGenRecipe('cobblefordays:tier_2', 'minecraft:cobblestone', 'cobblefordays:tier_1')
  cobbleGenRecipe('cobblefordays:tier_3', 'minecraft:iron_ingot', 'cobblefordays:tier_2')
  cobbleGenRecipe('cobblefordays:tier_4', 'minecraft:gold_ingot', 'cobblefordays:tier_3')
  cobbleGenRecipe('cobblefordays:tier_5', 'minecraft:diamond', 'cobblefordays:tier_4')

})